package org.bitbucket.bradleysmithllc.etlunit.metadata;

import org.bitbucket.bradleysmithllc.etlunit.io.JsonSerializable;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestMethod;

import java.util.List;

public interface MetaDataArtifactContent extends JsonSerializable
{
	String getName();
	List<TestReference> getReferences();
	TestReference referencedByCurrentTest(String classification);
	TestReference referencedBy(String classification, ETLTestMethod method);
}