package org.bitbucket.bradleysmithllc.etlunit;

import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestClass;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestMethod;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;

public class NullClassDirector implements ClassDirector
{
	@Override
	public void beginBroadcast()
	{
	}

	@Override
	public response_code accept(ETLTestClass cl)
	{
		return response_code.defer;
	}

	@Override
	public response_code accept(ETLTestMethod mt)
	{
		return response_code.defer;
	}

	@Override
	public response_code accept(ETLTestOperation op)
	{
		return response_code.defer;
	}

	@Override
	public void endBroadcast()
	{
	}
}