package org.bitbucket.bradleysmithllc.etlunit;

import java.io.File;
import java.io.IOException;

public interface TestLogger
{
	void debug(String msg);

	void log(String msg);

	void info(String msg);

	void severe(String msg);

	void severe(Exception exc);

	void severe(String msg, Exception exc);

	void close();

	void outputToFile(File file) throws IOException;
}